{# heredando header y footer #}
{% extends "./index.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionPlatillo/" method="post" enctype="multipart/form-data" id="frm_nuevo_platillo">
        {% csrf_token %}
        <h6>Cliente:</h6>
        <select class="form-control" name="id_tip" id="id_tip" required>
            <option value="">--Seleccione el Tipo de Platillo--</option>
            {% for tipo in tipos %}
              <option value="{{tipo.id_bf}}">{{tipo.nombre_bf}}</option>
            {% endfor %}
        </select>
        <script type="text/javascript">
            document.getElementById("id_tip").value="{{platillo.tipo.id_bf}}"
        </script>
        <input type="hidden" name="id_bf" value="{{platillo.id_bf}}">
        <br>
        <input type="text" name="nombre_bf" id="nombre_bf" value="{{platillo.nombre_bf}}" placeholder="Ingrese el Nombre del Platillo:" class="form-control" required>
        <br>
        <textarea name="descripcion_bf" id="descripcion_bf" cols="3" placeholder="Ingrese la Descripcion:" class="form-control">{{platillo.descripcion_bf}}</textarea>
        <br>
        <textarea name="preparacion_bf" id="preparacion_bf" cols="3" placeholder="Ingrese la Preparacion:" class="form-control">{{platillo.preparacion_bf}}</textarea>
        <br>
        <b>Precio:</b>
        <input type="text" name="precio_bf" id="precio_bf" value="{{platillo.precio_bf}}"  class="form-control" required>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="{% url 'platillos' %}" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

</div>

<script type="text/javascript">
          $("#frm_nuevo_platillo").validate({
            rules:{
              "id_tip":{
                required:true
              },
              "nombre_bf":{
                required:true
              },
              "descripcion_bf":{
                required:true
              },
              "preparacion_bf":{
                required:true
              },
              "precio_bf":{
                required:true,
                number:true
              }
            },
            messages:{
              "id_tip":{
                required:"Por favor seleccione un Tipo de Platillo"
              },
              "nombre_bf":{
                required:"Por favor Ingrese un Nombre valido"
              },
              "descripcion_bf":{
                required:"Debe ingresar una Descripcion valida"
              },
              "preparacion_bf":{
                required:"Debe ingresar una preparacion valida"
              },
              "precio_bf":{
                required:"Debe ingresar un precio valido",
                number:"Debe ingresar solo numeros"
              }
            }
          });
        </script>
{% endblock %}
